VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
VstFlushParamTest3 Class Reference

Test Parameters Flush 3 (no Buffer, no parameter change). More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstFlushParamTest3:

## Public Member Functions
| VstFlushParamTest3 (IPlugProvider *plugProvider, ProcessSampleSize sampl)
const char * | getName () const SMTG_OVERRIDE
Public Member Functions inherited from VstFlushParamTest
| VstFlushParamTest (IPlugProvider *plugProvider, ProcessSampleSize sampl)
bool | run (ITestResult *testResult) SMTG_OVERRIDE
Public Member Functions inherited from VstAutomationTest
| VstAutomationTest (IPlugProvider *plugProvider, ProcessSampleSize sampl, int32 everyNSamples, int32 numParams, bool sampleAccuracy)
virtual | ~VstAutomationTest ()
bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
int32 | getParameterCount () SMTG_OVERRIDE
IParamValueQueue * | getParameterData (int32 index) SMTG_OVERRIDE
IParamValueQueue * | addParameterData (const ParamID &id, int32 &index) SMTG_OVERRIDE
Public Member Functions inherited from VstProcessTest
| VstProcessTest (IPlugProvider *plugProvider, ProcessSampleSize sampl)
bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestEnh
| VstTestEnh (IPlugProvider *plugProvider, ProcessSampleSize sampl)
virtual | ~VstTestEnh ()
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestBase
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Public Types inherited from VstTestEnh
enum | AudioDefaults { kBlockSize = 64, kMaxSamplesPerBlock = 8192, kSampleRate = 44100 }
Static Public Attributes inherited from IParameterChanges
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid
Protected Member Functions inherited from VstFlushParamTest
virtual void | prepareProcessData ()
Protected Member Functions inherited from VstAutomationTest
bool | preProcess (ITestResult *testResult) SMTG_OVERRIDE
bool | postProcess (ITestResult *testResult) SMTG_OVERRIDE
Protected Member Functions inherited from VstProcessTest
virtual bool | prepareProcessing ()
| setup ProcessData and allocate buffers More...
virtual bool | unprepareProcessing ()
| free dynamic memory of ProcessData More...
bool | setupBuffers (int32 numBusses, AudioBusBuffers *audioBuffers, BusDirection dir)
bool | setupBuffers (AudioBusBuffers &audioBuffers)
bool | freeBuffers (int32 numBuses, AudioBusBuffers *buses)
bool | canProcessSampleSize (ITestResult *testResult)
| audioEffect has to be available More...
Protected Attributes inherited from VstAutomationTest
ParamID | bypassId
ParamChanges * | paramChanges
int32 | countParamChanges
int32 | everyNSamples
int32 | numParams
bool | sampleAccuracy
bool | onceExecuted
Protected Attributes inherited from VstProcessTest
HostProcessData | processData
Protected Attributes inherited from VstTestEnh
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from VstTestBase
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Detailed Description

Test Parameters Flush 3 (no Buffer, no parameter change).

## Constructor & Destructor Documentation

VstFlushParamTest3 | ( | IPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl
| ) |  |

## Member Function Documentation

const char* getName | ( |  | ) | const
| inline virtual

Reimplemented from VstFlushParamTest.

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.